﻿body {
    background-image: url(Images/bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    margin: 0;
    font-family: Arial;
    overflow: hidden;
}

#start_container {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    height: 80vh;
    width: 80vw;
    background-color: rgba(50, 50, 50, 0.6);
    border: 2px dotted black;
    border-radius: 10px;
}

.heading {
    position: absolute;
    top: 5%;
    width: 100%;
    text-align: center;
    color: white;
    font-size: 8vmin;
}

.start_btns {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translateX(-50%);
    height: 10%;
    width: 25%;
    background-color: green;
    color: rgb(0, 255, 0);
    border: 2px solid darkgreen;
    border-radius: 15px;
    font-size: 5vmin;
    cursor: pointer;
    transition: all 0.1s linear;
}

.start_btns:hover {
    height: 11%;
    width: 27.5%;
    font-size: 5.5vmin;
    border: 2.2px solid rgb(0, 50, 0);
    background-color: rgb(0, 110, 0);
}

#game_container {
    position: absolute;
    display: none;
    height: 100%;
    width: 100%;
}

#player_txt {
    position: absolute;
    width: 100%;
    top: -4%;
    font-size: 10vmin;
    text-align: center;
}

#restart_btn {
    position: absolute;
    left: 20px;
    top: 20px;
    width: 12vw;
    height: 6vh;
    background-color: green;
    color: rgb(0, 255, 0);
    border: 1.5px dashed red;
    border-radius: 15px;
    font-size: 3vmin;
    cursor: pointer;
    transition: all 0.1s linear;
}

#restart_btn:hover {
    width: 13.2vw;
    height: 6.6vmin;
    font-size: 3.3vmin;
    background-color: rgb(0, 120, 0);
    border: 1.65px dashed darkred;
}

#btn_container {
    position: relative;
    top: 20%;
    width: 100%;
    text-align: center;
}

.btns {
    cursor: pointer;
    transition: all 0.1s ease;
    border: 1px solid black;
    margin: 1px;
    transition: all 0.2s ease;
    background-color: white;
    background-size: cover;
}

#end_container {
    position: absolute;
    top: 50%;
    height: 75vh;
    width: 60vw;
    border-radius: 10px;
    display: none;
}

#start_btn2 {
    width: 35%;
    font-size: 4vmin;
}

#start_btn2:hover {
    width: 38.5%;
    font-size: 4.4vmin;
}

#blur {
    background-color: transparent;
    height: 100vh;
    width: 100vw;
}

.end_anim {
    animation: moveEndContainer 2s ease-in-out forwards;
}

@keyframes moveEndContainer {
    0% {
        left: 100%;
        transform: translateY(-50%);
    }
    60% {
        left: 0;
        transform: translateY(-50%);
    }
    80% {
        left: 50%;
        transform: scale(1.1) translate(-50%, -50%);
    }
    100% {
        left: 50%;
        transform: scale(1) translate(-50%, -50%);
    }
}